# $Revision: 1.26.2.2 $, $Date: 2003/04/28 12:51:51 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	EN-Inflect
Summary:	Lingua::EN::Inflect Perl module
Summary(cs):	Modul Lingua::EN::Inflect pro Perl
Summary(da):	Perlmodul Lingua::EN::Inflect
Summary(de):	Lingua::EN::Inflect Perl Modul
Summary(es):	Mdulo de Perl Lingua::EN::Inflect
Summary(fr):	Module Perl Lingua::EN::Inflect
Summary(it):	Modulo di Perl Lingua::EN::Inflect
Summary(ja):	Lingua::EN::Inflect Perl ⥸塼
Summary(ko):	Lingua::EN::Inflect  
Summary(no):	Perlmodul Lingua::EN::Inflect
Summary(pl):	Modu Perla Lingua::EN::Inflect
Summary(pt):	Mdulo de Perl Lingua::EN::Inflect
Summary(pt_BR):	Mdulo Perl Lingua::EN::Inflect
Summary(ru):	  Perl Lingua::EN::Inflect
Summary(sv):	Lingua::EN::Inflect Perlmodul
Summary(uk):	  Perl Lingua::EN::Inflect
Summary(zh_CN):	Lingua::EN::Inflect Perl ģ
Name:		perl-Lingua-EN-Inflect
Version:	1.88
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::EN::Inflect - singular to plural conversions and "a"/"an"
selection for English words.

%description -l pl
Lingua::EN::Inflect - konwersja pomidzy liczb pojedyncz a mnog z
wyborem "a"/"an" dla wyrazw w jzyku angielskim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Lingua/EN/Inflect.pm
%attr(755,root,root) %{perl_sitelib}/Lingua/EN/demo_NO.pl
%attr(755,root,root) %{perl_sitelib}/Lingua/EN/demo_NUM.pl
%attr(755,root,root) %{perl_sitelib}/Lingua/EN/demo_PL.pl
%attr(755,root,root) %{perl_sitelib}/Lingua/EN/demo_eq.pl
%attr(755,root,root) %{perl_sitelib}/Lingua/EN/demo_inflect.pl
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Lingua-EN-Inflect.spec,v $
Revision 1.26.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.26.2.1  2003/03/13 00:57:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.26  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:35:18  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/09/14 22:30:28  ankry
- added tests, translations
- fixed attributes, typos
- release 2

Revision 1.23  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.22  2002/07/11 08:00:47  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:47:51  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:45  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:28:22  depesz
adapterized

Revision 1.15  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/05/06 16:38:52  mis
- autoupdated to 1.87

Revision 1.12  2001/04/17 12:11:32  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:28:30  kloczek
- updated to 1.86.

Revision 1.9  2001/01/11 01:42:26  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:57:59  pius
- updated to 1.85

Revision 1.2  1999/11/05 19:27:21  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
